Bug 1076463 - Review Request: playitagainsam - Record and replay interactive terminal sessions
Summary: Review Request: playitagainsam - Record and replay interactive terminal sess...
Keywords:
Status: CLOSED DUPLICATE of bug 1122388
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Praveen Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-14 11:58 UTC by kushaldas@gmail.com
Modified: 2014-07-23 06:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 06:53:44 UTC


Attachments (Terms of Use)

Description kushaldas@gmail.com 2014-03-14 11:58:06 UTC
Spec URL: http://kushal.fedorapeople.org/packages/playitagainsam.spec
SRPM URL: http://kushal.fedorapeople.org/packages/playitagainsam-708a6662e9928f4d50c5a8c7ee8711367eb040f4-1.fc20.src.rpm
Description:  Record and replay interactive terminal sessions.
Fedora Account System Username: kushal

Comment 1 Praveen Kumar 2014-03-14 13:11:03 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 9 files have unknown license. Detailed output of
     licensecheck in
     /home/prkumar/rpmbuild/1076463-playitagainsam/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %{!?python_sitelib: %define
     python_sitelib %(%{__python} -c "from distutils.sysconfig import
     get_python_lib; print get_python_lib()")}
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: playitagainsam-708a6662e9928f4d50c5a8c7ee8711367eb040f4-1.fc20.noarch.rpm
          playitagainsam-708a6662e9928f4d50c5a8c7ee8711367eb040f4-1.fc20.src.rpm
playitagainsam.noarch: W: summary-ended-with-dot C Record and replay interactive terminal sessions.
playitagainsam.noarch: W: no-manual-page-for-binary pias
playitagainsam.src: W: summary-ended-with-dot C Record and replay interactive terminal sessions.
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Rpmlint (installed packages)
----------------------------
# rpmlint playitagainsam
playitagainsam.noarch: W: summary-ended-with-dot C Record and replay interactive terminal sessions.
playitagainsam.noarch: W: no-manual-page-for-binary pias
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
playitagainsam (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)
    python-six



Provides
--------
playitagainsam:
    playitagainsam



Source checksums
----------------
https://github.com/rfk/playitagainsam/archive/708a6662e9928f4d50c5a8c7ee8711367eb040f4/playitagainsam-708a6662e9928f4d50c5a8c7ee8711367eb040f4.tar.gz :
  CHECKSUM(SHA256) this package     : 60ae067322912a4e3e15351f9124e23a6f5d83e12fd49b7a25088bc24a0c3f1b
  CHECKSUM(SHA256) upstream package : 60ae067322912a4e3e15351f9124e23a6f5d83e12fd49b7a25088bc24a0c3f1b

Issues:
Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
Buildroot is not present
     Note: Buildroot: present but not needed
Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

Please make required changes before scm-request.

======================== APPROVED ===================

Comment 2 Christopher Meng 2014-03-17 02:58:25 UTC
I have to clean your review flag because of these errors:

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%{__python}

rm -rf $RPM_BUILD_ROOT

%clean

%defattr(-,root,root,-)

%{python_sitelib}

Version:        %{commit}

* Fri Mar 14 2014 Kushal Das <kushal@xxxxxxxxx> 708a6662e9928f4d50c5a8c7ee8711367eb040f4-1

Comment 3 Christopher Meng 2014-03-17 03:00:40 UTC
Version tag is completely wrong.

It *does* have a versioned tarball:

https://pypi.python.org/pypi/playitagainsam/

Note that after Fedora 22 please don't forget to rebuild it against python 3.

Comment 4 Praveen Kumar 2014-03-17 07:06:33 UTC
Thanks Meng for pointing version tag issue, I am surprised that rpmlint didn't catch this issue. Generally those error caught by rpmlint.

for snapshot capture version tag:- https://fedoraproject.org/wiki/Packaging:NamingGuidelines#NonNumericRelease

Comment 5 Michael Schwendt 2014-03-17 11:18:10 UTC
> I am surprised that rpmlint didn't catch this issue.
> Generally those error caught by rpmlint.

That would be usual. Why should it know?

| Version:        %{commit}
| Release:        1%{?dist}
| Source0:        https://github.com/rfk/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

Comment 6 Michael Schwendt 2014-03-17 12:08:03 UTC
D'oh!

> That would be usual.

typo: _unusual_

It would be unusual for rpmlint to issue a warning related to the versioning, if the hardcoded %version is also used in the tarball.

Comment 7 Clint Savage 2014-05-06 06:15:16 UTC
Helping Kushal here. I have updated the SPEC and SRPM.

http://herlo.fedorapeople.org/rpms/playitagainsam-0.3.0-1.fc19.src.rpm
http://herlo.fedorapeople.org/rpms/playitagainsam.spec

Thanks for the review.

herlo

Comment 8 Praveen Kumar 2014-05-09 03:44:44 UTC
(In reply to Clint Savage from comment #7)
> Helping Kushal here. I have updated the SPEC and SRPM.
> 
> http://herlo.fedorapeople.org/rpms/playitagainsam-0.3.0-1.fc19.src.rpm
> http://herlo.fedorapeople.org/rpms/playitagainsam.spec

In Spec file :-
Line #2 only needed if you are targeting this package to epel6 or below versions.
(https://fedoraproject.org/wiki/Packaging:Python#Macros)

#14 Doesn't require any-more, please remove.
#28 Macro is changed to _python2 now please check (https://fedoraproject.org/wiki/Packaging:Python#Macros)

#32 Doesn't require any-more (http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag)

#33 Macro changed to _python2 now please check (https://fedoraproject.org/wiki/Packaging:Python#Macros)

#36-37 Doesn't require any more (http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)

#41 Doesn't require anymore (http://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions) 

#44 Macro changed to python2_sitelib check(https://fedoraproject.org/wiki/Packaging:Python#Macros)

Comment 9 Clint Savage 2014-05-30 17:44:40 UTC
I've updated the spec and srpm with these changes.

Thanks,

herlo

Comment 10 Praveen Kumar 2014-06-03 05:24:47 UTC
(In reply to Clint Savage from comment #9)
> I've updated the spec and srpm with these changes.
Can you provide latest spec and srpm location if you replaced older one please mention same and paste url's.
> 
> Thanks,
> 
> herlo

Comment 12 Praveen Kumar 2014-07-21 04:43:18 UTC
(In reply to Clint Savage from comment #11)
> http://herlo.fedorapeople.org/rpms/playitagainsam-0.3.0-1.fc19.src.rpm
> http://herlo.fedorapeople.org/rpms/playitagainsam.spec

#13 
Source0 can be replaced by https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz using name macro.

#16
Better put each BuildRequire to a new line.

#19
Looks like you put Summary and description same but description should not contain brief detail about project.

#23
%setup -q -n playitagainsam-%{version} -> %setup -q -n %{name}-%{version}, please use macro as much possible.

Comment 14 Christopher Meng 2014-07-22 23:18:04 UTC
I want to know WHO exactly is the submitter?

Clint, if you want to package it, open a new bug and mark this as a duplicate of yours.

Comment 15 Clint Savage 2014-07-23 06:53:44 UTC

*** This bug has been marked as a duplicate of bug 1122388 ***


Note You need to log in before you can comment on or make changes to this bug.